import {Platform, Dimensions, PixelRatio, StyleSheet} from 'react-native';

const width = Dimensions.get('window').width;
export const styles = StyleSheet.create({
  mainContainer: {
    backgroundColor: '#fff',
  },
  mainBackground: {
    position: 'absolute',
    width: Dimensions.get('window').width,
    height: Dimensions.get('window').height,
    top: 0,
    //opacity:0.7
  },
  logoSection: {
    flex: 0.4,
    justifyContent: 'flex-end',
    alignItems: 'center',
    paddingBottom: 30,
  },
  waitText: {
    marginTop: 10,
  },
  ModalError: {
    backgroundColor: '#fff',
    borderRadius: 10,
    height: 200,
    width: '80%',
    alignItems: 'center',
    justifyContent: 'center',
    alignSelf: 'center',
  },
  TextDsc: {marginTop: 10, fontSize: 16, textAlign: 'center'},
  DoneBtn: {
    flex: 1,
    position: 'absolute',
    backgroundColor: '#0082f0',
    bottom: 30,
    borderRadius: 10,
    padding: 10,
    width: '50%',
    alignSelf: 'center',
    justifyContent: 'center',
    alignItems: 'center',
  },
  DoneText: {
    color: 'white',
    textAlign: 'center',
  },
  timeWrapper: {
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
    width: '100%',
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    marginTop: 10,
  },
  PickerDate: {
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
    height: 50,
    width: '100%',
    justifyContent: 'center',
  },
  Clock: {
    fontSize: 24,
    textAlignVertical: 'center',
    marginBottom: 3,
  },
  TitleClock: {
    fontSize: 26,
    paddingHorizontal: 5,
  },
  TitleClockselect: {
    fontSize: 28,
    paddingHorizontal: 5,
    color: '#0082f0',
    fontWeight: 'bold',
  },

  TimeflatList: {
    flex: 1,
    height: 35,
  },
  Background: {
    width: '100%',
    height: '100%',
    backgroundColor: '#fff',
    opacity: 0.4,
    flex: 1,
    position: 'absolute',
  },
  Content: {
    flex: 1,
    marginTop: 40,
    paddingHorizontal: 30,
    backgroundColor: '#FFFF',
  },
  inputLabelTouch: {
    fontSize: 14,
    //lineHeight:14,
    color: '#444444',
    position: 'absolute',
    bottom: 0,
    right: 0,
    left: 0,
    paddingBottom: 5,
    textAlign: 'center',
    writingDirection: 'rtl',
  },
  inputMainTouch: {
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
    width: '100%',
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 14,
    paddingBottom: 30,
    //lineHeight:14,
    color: '#444444',
    paddingVertical: 2,
    paddingHorizontal: 10,
  },
  logoImage: {
    width: width * 0.5,
    height: width * 0.2,
    // backgroundColor:'#000',
    alignSelf: 'center',
  },
  logoSlogan: {
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 14,
    color: '#eee',
  },
  splashBottomSection: {
    backgroundColor: 'transparent',
    position: 'absolute',
    width: Dimensions.get('window').width,
    height: Dimensions.get('window').height * 0.25,
    bottom: 0,
    justifyContent: 'center',
    alignItems: 'center',
  },
  grButton: {
    alignSelf: 'center',
    backgroundColor: '#eee',
    width: 200,
    height: 40,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    ...Platform.select({
      ios: {
        shadowColor: 'rgb(0, 0, 0)',
        shadowOffset: {width: 0, height: 0},
        shadowOpacity: 0.2,
        shadowRadius: 5,
      },
      android: {
        elevation: 2,
      },
    }),
  },
  colorGrButton: {
    alignSelf: 'center',
    backgroundColor: '#eee',
    width: 200,
    height: 40,
    marginTop: 10,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 20,
    ...Platform.select({
      ios: {
        shadowColor: '#eee',
        shadowOffset: {width: 0, height: 0},
        shadowOpacity: 0.6,
        shadowRadius: 7,
      },
      android: {
        elevation: 2,
      },
    }),
  },
  grButtonGradient: {
    width: 200,
    height: 40,
    borderRadius: 20,
    justifyContent: 'center',
    alignItems: 'center',
  },
  grButtonText: {
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 14,
    //lineHeight:14,
    color: 'black',
  },
  buttonTransparentText: {
    marginTop: 5,
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 14,
    //lineHeight:14,
    color: 'black',
    fontFamily: 'IRANSansMobile',
  },
  swiperContainer: {
    //flex:1,
    backgroundColor: 'transparent',
    ...Platform.select({
      android: {
        width: Dimensions.get('window').width,
      },
    }),
    justifyContent: 'center',
    alignItems: 'center',
    paddingTop: 20,
    height: Dimensions.get('window').height * 0.75,
  },
  slide: {
    width: Dimensions.get('window').width - 80,
    backgroundColor: '#ffffff',
    padding: 10,
    justifyContent: 'center',
    paddingHorizontal: 20,
    marginVertical: 20,
    marginHorizontal: 40,
    borderRadius: 20,
    ...Platform.select({
      ios: {
        shadowColor: 'rgb(0, 0, 0)',
        shadowOffset: {width: 0, height: 0},
        shadowOpacity: 0.3,
        shadowRadius: 6,
      },
      android: {
        elevation: 5,
      },
    }),
    marginTop: 10,
    //height:Dimensions.get('window').height,
  },
  dot: {
    backgroundColor: '#393939',
    width: 8,
    height: 8,
    borderRadius: 4,
    marginLeft: 3,
    marginRight: 3,
    marginTop: 3,
    marginBottom: 3,
  },
  activeDot: {
    backgroundColor: 'rgba(0,0,0,0.3)',
    width: 8,
    height: 8,
    borderRadius: 4,
    marginLeft: 3,
    marginRight: 3,
    marginTop: 3,
    marginBottom: 3,
  },
  //Input
  inputContainer: {
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: 5,
  },
  inputContainerDate: {
    justifyContent: 'center',
    alignItems: 'center',
    marginTop: 5,
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
  },
  inputLabel: {
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 12,
    //lineHeight:12,
    color: '#aaaaaa',
  },
  inputMainDsc: {
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
    width: '100%',
    height: 50,
    writingDirection: 'rtl',
    textAlignVertical: 'top',
    fontSize: 14,
    //lineHeight:14,
    color: '#444444',
    paddingVertical: 2,
    paddingHorizontal: 10,
  },
  map: {
    flex: 1,
    width: width - 30,
    height: 250,
    alignSelf: 'center',
    marginBottom: 20,
  },
  inputMain: {
    borderBottomColor: '#eeeeee',
    borderBottomWidth: 4 / PixelRatio.get(),
    width: '100%',
    textAlign: 'center',
    writingDirection: 'rtl',
    fontSize: 16,
    //lineHeight:14,
    color: '#444444',
    paddingVertical: 2,
    paddingHorizontal: 10,
  },
  eyeButton: {
    position: 'absolute',
    top: 18,
    left: 5,
  },
  eyeButtonIcon: {
    fontSize: 24,
    color: '#eee',
  },
});

export default styles;
